import { useEffect, useRef } from "react";

/**
 * 计时器
 */
export default function useInterval(fn, delay) {
  const callbackRef = useRef()
  callbackRef.current = fn;

  useEffect(() => {
    const ticker = setInterval(() => callbackRef.current(), delay)
    return () => clearInterval(ticker)
  }, [delay])
}
